## swift-plugin-s3 1.10

=== requirements.txt ===
swift>=2.1.0
lxml

## swift-plugin-s3 1.0.0~git201200618

=== debian/changelog ===
swift-plugin-s3 (1.0.0~git201200618-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 18 Jun 2012 10:30:29 -0400

=== debian/control ===
Source: swift-plugin-s3
Section: python
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-all (>= 2.6.6-3~),
 python-webob, python-simplejson
Standards-Version: 3.9.3

Package: swift-plugin-s3
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-webob, python-simplejson,
 python-swift
Description: swift3 middleware for swift.
 Swift3 Middleware for OpenStack Swift, allowing access to OpenStack
 swift via the Amazon S3 API.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_test:
	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

## swift-plugin-s3 1.7

=== debian/changelog ===
swift-plugin-s3 (1.7-5+deb8u1) jessie-security; urgency=high

  * CVE-2015-8466: replay attack - date/date header unvalidated
    (Closes: #822688)

 -- Ondřej Nový <novy@ondrej.org>  Tue, 26 Apr 2016 17:21:19 +0200

swift-plugin-s3 (1.7-5) unstable; urgency=medium

  * Updated upstream URL in debian/rules,control,copyright.
  * Fixed spaces instead of tabs in debian/rules line 15 (Closes: #750308).
  * Added swift-plugin-s3.doc-base file.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 May 2014 03:22:58 +0800

swift-plugin-s3 (1.7-4) unstable; urgency=low

  * Added the packaging of sphinxdoc.
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 Feb 2014 23:37:25 +0800

swift-plugin-s3 (1.7-3) unstable; urgency=medium

  * Ran wrap-and-sort.
  * Added upstream patches cherry-pick from github (Closes: #737639):
    - fix_signature_bug_to_use_RAW_PATH_INFO.patch
    - Updated_HEAD_and_ACL_calls_to_objects_to_work_correctly.patch
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Feb 2014 15:10:16 +0000

swift-plugin-s3 (1.7-2) unstable; urgency=low

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 May 2013 08:09:11 +0000

swift-plugin-s3 (1.7-1) experimental; urgency=low

  * Initial release (Closes: #693137).

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Nov 2012 14:05:57 +0000

=== debian/control ===
Source: swift-plugin-s3
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
Build-Depends-Indep: openstack-pkg-tools,
                     python-setuptools,
                     python-simplejson,
                     python-sphinx,
                     python-webob
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift-plugin-s3.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/swift-plugin-s3.git
Homepage: https://github.com/fujita/swift3/

Package: swift-plugin-s3
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-simplejson,
         python-swift,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: swift3 (S3 compatibility) middleware plugin for swift
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Swift3 Middleware plugin for OpenStack Swift,
 allowing access to OpenStack swift via the Amazon S3 API.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := git://github.com/stackforge/swift3.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,sphinxdoc

override_dh_auto_test:
	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-plugin-s3/usr/share/doc/swift-plugin-s3/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
https://github.com/fujita/swift3/tags .*/v(\d[\d\.]+)\.tar\.gz

## swift-plugin-s3 1.8

=== debian/changelog ===
swift-plugin-s3 (1.8-1) unstable; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends for this release.
  * Fixed unit tests running (using nose-exclude to not run functional tests).
  * Removed obsolete patches.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jun 2015 09:28:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,36 @@
 Section: python
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
-           Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Ghe Rivero <ghe.rivero@stackops.com>,
-           Mehdi Abaakouk <sileht@sileht.net>
-Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~)
-Build-Depends-Indep: openstack-pkg-tools,
-                     python-setuptools,
-                     python-simplejson,
-                     python-sphinx,
-                     python-webob
-Standards-Version: 3.9.5
+Uploaders: Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               openstack-pkg-tools,
+               python-all,
+               python-pbr,
+               python-setuptools,
+               python-sphinx,
+Build-Depends-Indep: python-boto,
+                     python-coverage,
+                     python-hacking,
+                     python-lxml,
+                     python-mock,
+                     python-nose,
+                     python-nose-exclude,
+                     python-openstack.nose-plugin,
+                     python-openstackclient,
+                     python-swift,
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift-plugin-s3.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/swift-plugin-s3.git
 Homepage: https://github.com/fujita/swift3/
 
 Package: swift-plugin-s3
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-simplejson,
+Depends: python-lxml,
          python-swift,
-         python-webob,
          ${misc:Depends},
          ${python:Depends},
-         ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
 Description: swift3 (S3 compatibility) middleware plugin for swift
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,24 @@
 UPSTREAM_GIT := git://github.com/stackforge/swift3.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export OSLO_PACKAGE_VERSION=$(VERSION)
+
+export SWIFT_HOST=http://127.0.0.1:9
+
 %:
 	dh $@  --with python2,sphinxdoc
 
 override_dh_auto_test:
-	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done
+	NOSE_WITH_OPENSTACK=1 \
+		NOSE_OPENSTACK_COLOR=1 \
+		NOSE_OPENSTACK_RED=0.05 \
+		NOSE_OPENSTACK_YELLOW=0.025 \
+		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
+		NOSE_OPENSTACK_STDOUT=1 \
+		NOSE_WITH_COVERAGE=1 \
+		NOSE_COVER_BRANCHES=1 \
+		nosetests --exclude-dir=swift3/test/functional
+#	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## swift-plugin-s3 1.10

=== debian/changelog ===
swift-plugin-s3 (1.10-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Fixed watch file.
  * Changed upstream URLs to Openstack.
  * Changed Vcs URLs to https proto.
  * Added python-six build dependency.

  [ Thomas Goirand ]
  * Fixed upstream VCS URL in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Feb 2016 13:19:31 +0000

swift-plugin-s3 (1.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Added myself as uploader.

  [ Thomas Goirand ]
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Jan 2016 13:26:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Ondřej Nový <novy@ondrej.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
@@ -19,11 +20,12 @@
                      python-nose-exclude,
                      python-openstack.nose-plugin,
                      python-openstackclient,
+                     python-six (>= 1.9.0),
                      python-swift,
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/swift-plugin-s3.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/swift-plugin-s3.git
-Homepage: https://github.com/fujita/swift3/
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/swift-plugin-s3.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/swift-plugin-s3.git
+Homepage: https://github.com/openstack/swift3/
 
 Package: swift-plugin-s3
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := git://github.com/openstack/swift3.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

export SWIFT_HOST=http://127.0.0.1:9

%:
	dh $@  --with python2,sphinxdoc

override_dh_clean:
	dh_clean

	rm -rf cover .coverage

override_dh_auto_test:
#	NOSE_WITH_OPENSTACK=1 \
#		NOSE_OPENSTACK_COLOR=1 \
#		NOSE_OPENSTACK_RED=0.05 \
#		NOSE_OPENSTACK_YELLOW=0.025 \
#		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
#		NOSE_OPENSTACK_STDOUT=1 \
#		NOSE_WITH_COVERAGE=1 \
#		NOSE_COVER_BRANCHES=1 \
#		nosetests -v --exclude-dir=swift3/test/functional
##	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-plugin-s3/usr/share/doc/swift-plugin-s3/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
https://github.com/openstack/swift3/tags .*/v(\d[\d\.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## swift-plugin-s3 1.11

=== requirements.txt ===
swift>=2.1.0
lxml
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0

=== debian/changelog ===
swift-plugin-s3 (1.11-3+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/gbp.conf: debian-branch=debian/newton
  * Bumped debhelper version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 17 Nov 2016 19:33:53 +0000

swift-plugin-s3 (1.11-2) unstable; urgency=medium

  * Uploading to unstable
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Fri, 07 Oct 2016 11:08:58 +0200

swift-plugin-s3 (1.11-1) experimental; urgency=medium

  * New upstream release
  * Removed d/p/lower_expire_timestamp_in_test_fix_32_arch.patch
    (Applied upstream)
  * Rearranged build depends for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Wed, 21 Sep 2016 20:43:34 +0200

swift-plugin-s3 (1.10-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/{control,copyright}: Use my @debian.org email address

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Jun 2016 23:47:32 +0200

swift-plugin-s3 (1.10-2) unstable; urgency=medium

  * Standards-Version is 3.9.7 now (no change).
  * Added patch lower_expire_timestamp_in_test_fix_32_arch.patch
    (Fixed tests failing on 32-bit arch).
  * Added Debian tests.

 -- Ondřej Nový <novy@ondrej.org>  Sat, 27 Feb 2016 13:24:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-           Ondřej Nový <novy@ondrej.org>,
-Build-Depends: debhelper (>= 9),
+           Ondřej Nový <onovy@debian.org>,
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -13,18 +13,21 @@
                python-sphinx,
 Build-Depends-Indep: python-boto,
                      python-coverage,
-                     python-hacking,
+                     python-fixtures (>= 1.3.1),
+                     python-hacking (>= 0.11.0),
                      python-lxml,
                      python-mock,
                      python-nose,
                      python-nose-exclude,
                      python-openstack.nose-plugin,
                      python-openstackclient,
+                     python-requests (>= 2.8.1),
+                     python-requests-mock (>= 0.7.0),
                      python-six (>= 1.9.0),
                      python-swift,
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/swift-plugin-s3.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/swift-plugin-s3.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-swift-plugin-s3?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-swift-plugin-s3 -b debian/newton
 Homepage: https://github.com/openstack/swift3/
 
 Package: swift-plugin-s3
@@ -34,7 +37,7 @@
          ${misc:Depends},
          ${python:Depends},
          ${sphinxdoc:Depends},
-Description: swift3 (S3 compatibility) middleware plugin for swift
+Description: swift3 (S3 compatibility) middleware plugin for Swift
  OpenStack Object Storage (code-named Swift) creates redundant, scalable object
  storage using clusters of standardized servers to store petabytes of
  accessible data. It is not a file system or real-time data storage system, but
@@ -55,4 +58,4 @@
  expensive equipment.
  .
  This package provides the Swift3 Middleware plugin for OpenStack Swift,
- allowing access to OpenStack swift via the Amazon S3 API.
+ allowing access to OpenStack Swift via the Amazon S3 API.

## swift-plugin-s3 1.12

=== requirements.txt ===
swift>=2.14.0
lxml
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0

=== debian/changelog ===
swift-plugin-s3 (1.12-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * Bump debhelper compat level to 10
  * Bump required version of openstack-pkg-tools to 48
  * d/rules: Don't set OSLO_PACKAGE_VERSION by hand
  * d/watch: Allow tags without "v" prefix
  * Fix B-D/D for new upstream release
  * New upstream release breaks swauth << 1.3.0
  * Updating standards version to 4.1.2.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Deprecating priority extra as per policy 4.0.1.

 -- Ondřej Nový <onovy@debian.org>  Sat, 09 Dec 2017 17:55:38 +0100

=== debian/control ===
Source: swift-plugin-s3
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 48~),
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
Build-Depends-Indep:
 python-boto,
 python-coverage,
 python-fixtures (>= 1.3.1),
 python-hacking (>= 0.12.0),
 python-keystonemiddleware,
 python-lxml,
 python-mock,
 python-nose,
 python-nose-exclude,
 python-openstack.nose-plugin,
 python-openstackclient,
 python-requests (>= 2.8.1),
 python-requests-mock (>= 0.7.0),
 python-six (>= 1.9.0),
 python-swift (>= 2.14.0),
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/services/swift-plugin-s3.git
Vcs-Git: https://anonscm.debian.org/git/openstack/services/swift-plugin-s3.git
Homepage: https://github.com/openstack/swift3/

Package: swift-plugin-s3
Architecture: all
Breaks:
 swauth (<< 1.3.0),
Depends:
 python-lxml,
 python-swift (>= 2.14.0),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Description: swift3 (S3 compatibility) middleware plugin for Swift
 OpenStack Object Storage (code-named Swift) creates redundant, scalable object
 storage using clusters of standardized servers to store petabytes of
 accessible data. It is not a file system or real-time data storage system, but
 rather a long-term storage system for a more permanent type of static data
 that can be retrieved, leveraged, and then updated if necessary. Primary
 examples of data that best fit this type of storage model are virtual machine
 images, photo storage, email storage and backup archiving. Having no central
 "brain" or master point of control provides greater scalability, redundancy
 and permanence.
 .
 Objects are written to multiple hardware devices in the data center, with
 the OpenStack software responsible for ensuring data replication and
 integrity across the cluster. Storage clusters can scale horizontally by
 adding new nodes. Should a node fail, OpenStack works to replicate its
 content from other active nodes. Because OpenStack uses software logic to
 ensure data replication and distribution across different devices,
 inexpensive commodity hard drives and servers can be used in lieu of more
 expensive equipment.
 .
 This package provides the Swift3 Middleware plugin for OpenStack Swift,
 allowing access to OpenStack Swift via the Amazon S3 API.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/swift3.git
include /usr/share/openstack-pkg-tools/pkgos.make

export SWIFT_HOST=http://127.0.0.1:9

%:
	dh $@  --with python2,sphinxdoc

override_dh_clean:
	dh_clean

	rm -rf cover .coverage

override_dh_auto_test:
	NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		NOSE_OPENSTACK_STDOUT=1 \
		NOSE_WITH_COVERAGE=1 \
		NOSE_COVER_BRANCHES=1 \
		nosetests -v --exclude-dir=swift3/test/functional
#	set -e ; for pyversion in $(shell pyversions -r); do $$pyversion setup.py test; done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build doc/source $(CURDIR)/debian/swift-plugin-s3/usr/share/doc/swift-plugin-s3/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/tests/control ===
Test-Command: cd "$ADTTMP" ; python -c "import swift3; print swift3.version"

=== debian/watch ===
version=3
https://github.com/openstack/swift3/tags .*/v?(\d[\d\.]+.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
